Author Topic: e19 - no codecs?  (Read 1230 times)

Offline 0dder0tter

  • Newbie
  • *
  • Posts: 9
e19 - no codecs?
« on: December 21, 2014, 06:18:29 pm »
I've been toying with the idea of switching to Sparky Linux for a while now. I had been running Debian Testing w/ E17 for a while and was mostly pleased with it. The last couple of months it's been Mint-DE w/ Cinammon, but it's not really my cup of tea. I'm very close to installing Sparky w/ E19, but have a question or two before I do.

Why is it that Sparky E19 ships with no codecs? The last time I looked Sparky was using E18 and I'm pretty sure it included the codecs. Why the change? Why no codecs now?

Is there a simple way to install all the codecs at once, like a simple apt-get command, or do they need to be installed separately?

I still have the .iso of Sparky 3.5 E18 I downloaded a few months ago -- would I be better off (codecs wise) installing that then upgrading? (I have a pretty fast internet connection so I'm not worried about having to upgrade a lot of packages?

Thanks!
mark
Linux is user friendly. It's just picky about who its friends are.

Online pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1463
    • SparkyLinux
Re: e19 - no codecs?
« Reply #1 on: December 21, 2014, 08:04:04 pm »
Hi
Some guys say that Sparky is too fully of all the applications and other things. They prefer base system only to configure everything themselves.
Other some guys say that the base edition is too pure and they'd like to see more equipment preinstalled.
That's why a few editions are a larger set of tools and some less.
And a one more reason is: I compile e19 myself and I always test many times the compilation on hard drive, deb packages installed on virtual machine and new iso images with the new compilations. Bigger iso means longer time for me, but it is limited. So I prefer to make e19 spin smaller.
Code: [Select]
Is there a simple way to install all the codecs at onceNo, there is not, install theme via apt or Synaptic.
Anyway it's good question and I will make an option to install all the codecs via one click in APTus and APTus-Extra.
Code: [Select]
would I be better off (codecs wise) installing that then upgrading?It's your choice.
If you'd like to upgrade, follow the upgrade info:
http://sparkylinux.org/sparkylinux-3-5-1-e19/
Nothing is easy as it looks.

Offline 0dder0tter

  • Newbie
  • *
  • Posts: 9
Re: e19 - no codecs?
« Reply #2 on: December 22, 2014, 12:52:55 am »
Thanks for the quick reply and info pavroo. I think I'll go with the option of installing the latest version and adding the codecs as needed.

Overall I think your decision to build a light version for the E spin is the right one. I think most people using E will probably prefer it that way.

It will probably be a few days until I get around to the actual install, but if I have issues I'll be sure to post back.

mark
Linux is user friendly. It's just picky about who its friends are.

Offline way12go

  • Global Moderator
  • Sr. Member
  • *****
  • Posts: 476
  • Existence is all about what matters & what doesn't
Re: e19 - no codecs?
« Reply #3 on: December 22, 2014, 03:04:08 am »
I think you should download Sparkylinux LXDE and then install E19 Desktop Environment, logout and login using E19 and you will have zero problems.

I installed Sparkylinux LXDE and currently using JWM.

If you do so, you get everything out of the box. Trust me.
Existence is all about what matters and what doesn't. - Sagar Gorijala.

Online pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1463
    • SparkyLinux
Re: e19 - no codecs?
« Reply #4 on: December 22, 2014, 07:40:29 pm »
I have made a small tool called 'sparky-codecs' which lets you install all multimedia codecs and plugins via one click:
http://sparkylinux.org/sparky-codecs-installer/
Nothing is easy as it looks.

Offline 0dder0tter

  • Newbie
  • *
  • Posts: 9
Re: e19 - no codecs?
« Reply #5 on: December 24, 2014, 03:14:04 pm »
Very nicely done, pavroo. And fast, too!

I do have to question why you've set sparky-codecs as a dep of sparky-aptus, though. Do you think that some people may not want to have the codecs installed as part of a dist-upgrade? That's just a thought that came to mind -- I'm not saying your decision is wrong.

mark
Linux is user friendly. It's just picky about who its friends are.

Online pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1463
    • SparkyLinux
Re: e19 - no codecs?
« Reply #6 on: December 24, 2014, 11:17:59 pm »
I did it because I'd like to make the codecs installer icon visible for everyone even someone doesn't like to install them.
It's just an option available in APTus only, like a few different options which are parts of APTus.   
Nothing is easy as it looks.

Offline 0dder0tter

  • Newbie
  • *
  • Posts: 9
Re: e19 - no codecs?
« Reply #7 on: December 24, 2014, 11:36:05 pm »
I see.

The text from the link, however, makes it sound like the codecs package will be installed rather than just becoming available. I gather you are not a native English speaker -- I can help you with that, if you like.

mark
Linux is user friendly. It's just picky about who its friends are.

Online pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1463
    • SparkyLinux
Re: e19 - no codecs?
« Reply #8 on: December 25, 2014, 12:49:59 am »
Code: [Select]
makes it sound like the codecs package will be installed rather than just becoming availableHhmm... I didn't see the point, but you are right.

Any help with checking, fixing, etc. my English will be helpful.
Nothing is easy as it looks.